Subject: bug#25164: 26.0.50; Concurrency: (make-thread #'gnus "gnus") Crashes Emacs

From: raman <[email-masked]>
Date: Sun, 11 Dec 2016 08:46:09 -0800

Eli Zaretskii <[email-masked]> writes:

Updated from master and rebuilt -- but gnus still crashes as before when
invoked from a separate thread.> merge 25164 25171
> thanks
>
>> From: raman <[email-masked]>
>> Date: Sat, 10 Dec 2016 20:00:41 -0800
>> 
>> This is Emacs built from master after the concurrency branch was merged.
>> 
>> Evaluating the expression
>> (make-thread #'gnus "gnus")
>> crashes Emacs and causes the emacs process to disappear. Note: This does
>> not happen always -- I've gotten it to run successfully a couple of
>> times, but crashes more often than not.
>
> Thanks, I think I fixed this now.

--